import { BizError } from "../../util/bizError";
import { getInterfaceByInterfaceName } from "./cronJob";

export async function getCdssfzjk() {
    let interfaceName = "绿色电力充电设施发展监控";
    let {chargingFacilities, realTimeMonitoring, monthlyService} = await getInterfaceByInterfaceName(interfaceName);
    // let chargingFacilities;
    // let realTimeMonitoring;
    // let monthlyService;

    if (!chargingFacilities) throw new BizError(`${interfaceName} 缺少参数 chargingFacilities` );
    if (!realTimeMonitoring) throw new BizError(`${interfaceName} 缺少参数 realTimeMonitoring` );
    if (!monthlyService) throw new BizError(`${interfaceName} 缺少参数 monthlyService` );

    //充电设施发展监控
    let {chargingStationNumber, chargingPileNumber, prioritiesInTheSite} = chargingFacilities;
    let chargingInfo = [
        {name:"充电站数(国网自建)", value:chargingStationNumber + "座"},
        {name:"充电桩数(国网自建)", value:chargingPileNumber + "座"},
        {name:"国网在建数", value:prioritiesInTheSite + "座"}
    ];

    //服务车次
    let {theTotalChargeOn, totalCharge, chargeAmount} = realTimeMonitoring;
    let realTimeMonitoringInfo = [
        {name:"总充电车次", value:theTotalChargeOn + "次"},
        {name:"总充电总量", value:totalCharge + "万千瓦时"},
        {name:"充电金额", value:chargeAmount + "万元"}
    ]

    //每月服务车次
    let monthInfo = {};
    monthlyService.forEach( info => {
        let {dateTime, frequency} = info;
        monthInfo[dateTime] = frequency + "次";
    })

    return {chargingInfo, realTimeMonitoringInfo, monthInfo}
}