import { BizError } from "../../util/bizError";
import { getInterfaceByInterfaceName } from "./cronJob";

export async function getGsqyscyx() {
    let interfaceName = "规上企业生产运行状况";
    let {basicData, industryProductionIndex, industrialDistribution, productionIndexTrend} = await getInterfaceByInterfaceName(interfaceName);
    // let basicData;
    // let productionIndexTrend;

    if(!basicData) throw new BizError(`${interfaceName} 缺少参数 basicData`);
    if(!productionIndexTrend) throw new BizError(`${interfaceName} 缺少参数 demonstrationAreaIndexTrend`);

    let {productionIndex} = basicData;
    let basicInfo = [
        {青浦区生产指数: productionIndex}
    ];

    //生产指数趋势分析
    let productionInfo = {};
    productionIndexTrend.forEach( info => {
        let {year, productionIndices} = info;
        productionInfo[year] = productionIndices;
    })

    return {basicInfo, productionInfo}
}

export async function getIndustrial(name) {
    let interfaceName = "规上企业生产运行状况";
    let {basicData, industryProductionIndex, industrialDistribution, productionIndexTrend} = await getInterfaceByInterfaceName(interfaceName);
    // let industryProductionIndex;
    // let industrialDistribution;

    if(!industryProductionIndex) throw new BizError(`${interfaceName} 缺少参数 demonstrationAreaIndexTrend`);
    if(!industrialDistribution) throw new BizError(`${interfaceName} 缺少参数 demonstrationAreaIndexTrend`);
    
    let industrial, wholesaleAndRetail, leasingAndBusinessService, transportationAndWarehousingAndPostalServices, publicServiceAndManagementOrganization;
    if(name == "行业生产指数") {
        industrial = industryProductionIndex.industrial;
        wholesaleAndRetail = industryProductionIndex.wholesaleAndRetail;
        leasingAndBusinessService = industryProductionIndex.leasingAndBusinessService;
        transportationAndWarehousingAndPostalServices = industryProductionIndex.transportationAndWarehousingAndPostalServices;
        publicServiceAndManagementOrganization = industryProductionIndex.publicServiceAndManagementOrganization;
    } else if (name == "规上企业行业分布概览") {
        industrial = industrialDistribution.industrial;
        wholesaleAndRetail = industrialDistribution.wholesaleAndRetail;
        leasingAndBusinessService = industrialDistribution.leasingAndBusinessService;
        transportationAndWarehousingAndPostalServices = industrialDistribution.transportationAndWarehousingAndPostalServices;
        publicServiceAndManagementOrganization = industrialDistribution.publicServiceAndManagementOrganization;
    }

    let dataInfo = [
        {"工业": industrial},
        {"批发和商务服务业": wholesaleAndRetail},
        {"租赁和商务服务业": leasingAndBusinessService},
        {"交通、运输仓储和邮政业": transportationAndWarehousingAndPostalServices},
        {"公共服务及管理组织": publicServiceAndManagementOrganization}
    ];

    return {dataInfo};
}