import { BizError } from "../../util/bizError";
import { getInterfaceByInterfaceName } from "./cronJob";

export async function getQyrh() {
    let interfaceName = "区域融合";
    let {dutyManagement, realTimeMonitoring, monitoringResults, easeOfDoingBusiness, businessTimeliness, businessInteractivity, schedulingLogOverhaulSchedule, 
        schedulingLogTroubleshooting, schedulingLogPowerOutage, schedulingLogDeviceDefect, schedulingLogAccidentException} = await getInterfaceByInterfaceName(interfaceName);
    // let dutyManagement;
    // let realTimeMonitoring;
    // let monitoringResults;
    // let easeOfDoingBusiness;
    // let businessTimeliness;
    // let businessInteractivity;
    // let schedulingLogOverhaulSchedule;
    // let schedulingLogTroubleshooting;
    // let schedulingLogPowerOutage;
    // let schedulingLogDeviceDefect;
    // let schedulingLogAccidentException;

    if (!dutyManagement) throw new BizError(`${interfaceName} 缺少参数 dutyManagement` );
    if (!realTimeMonitoring) throw new BizError(`${interfaceName} 缺少参数 realTimeMonitoring` );
    if (!monitoringResults) throw new BizError(`${interfaceName} 缺少参数 monitoringResults` );
    if (!easeOfDoingBusiness) throw new BizError(`${interfaceName} 缺少参数 easeOfDoingBusiness` );
    if (!businessTimeliness) throw new BizError(`${interfaceName} 缺少参数 businessTimeliness` );
    if (!businessInteractivity) throw new BizError(`${interfaceName} 缺少参数 businessInteractivity` );
    if (!schedulingLogOverhaulSchedule) throw new BizError(`${interfaceName} 缺少参数 schedulingLogOverhaulSchedule` );
    if (!schedulingLogTroubleshooting) throw new BizError(`${interfaceName} 缺少参数 schedulingLogTroubleshooting` );
    if (!schedulingLogPowerOutage) throw new BizError(`${interfaceName} 缺少参数schedulingLogPowerOutage` );
    if (!schedulingLogDeviceDefect) throw new BizError(`${interfaceName} 缺少参数 schedulingLogDeviceDefect` );
    if (!schedulingLogAccidentException) throw new BizError(`${interfaceName} 缺少参数 schedulingLogAccidentException` );

    let {redCode, blackCode, blueCode, redBlueCode} = realTimeMonitoring;
    //码上办实时监测
    let realTimeMonitoringInfo = [
        {红码: redCode + "个"},
        {黑码: blackCode + "个"},
        {蓝码: blueCode + "个"},
        {红蓝码: redBlueCode + "个"}
    ];

    //码上办监测结果
    let {uneconomicalElectricity, electricalTestAre, excessCapacity, reactiveCompensation} = monitoringResults;
    let monitoringResultsInfo = [
        {电费不经济: uneconomicalElectricity},
        {电试超期: electricalTestAre},
        {超荣: excessCapacity},
        {无功补偿: reactiveCompensation}
    ];

    //营商业务便利性-青浦区
    let {businessLineApplication, onlinePayment, doElectricityCut, reductionOfApplicationMaterials} = easeOfDoingBusiness;
    let easeOfDoingInfo = [
        {业务线上申请: businessLineApplication + "次"},
        {线上缴费: onlinePayment + "万次"},
        {办点环节缩减至: doElectricityCut + "个"},
        {申请材料缩减至: reductionOfApplicationMaterials + "项"}
    ];

    //营商业务及时性-青浦区
    let {highElectricityAverageLength, LowElectricityAverageLength} = businessTimeliness;
    let timelinessInfo = [
        {高压办电平均时长: highElectricityAverageLength + "天"},
        {低压办电平均时长: LowElectricityAverageLength + "天"}
    ];

    //营商业务互动性-青浦区
    let {value, ItsChineseOnline, FreeNetPhoneDo, BusinessHall} = businessInteractivity;
    let interactivityInfo = [
        {95598: value},
        {网上国网: ItsChineseOnline},
        {一网通办: FreeNetPhoneDo},
        {营业厅: BusinessHall}
    ];

    //调度日志-检修计划
    let titleList = ["序号", "区域", "工作内容", "日期"];
    let overhaulSchedule = {titleList, dataList:schedulingLogOverhaulSchedule};

    //调度日志-故障抢修
    let troubleshooting = {titleList, dataList:schedulingLogTroubleshooting};

    //调度日志-停电停役
    let powerOutage = {titleList, dataList:schedulingLogPowerOutage};

    //调度日志-设备缺陷
    let deviceDefect = {titleList, dataList: schedulingLogDeviceDefect};

    //调度日志-事故异常
    let accidentException = {titleList, dataList:schedulingLogAccidentException};

    return {dutyManagement, realTimeMonitoringInfo, monitoringResultsInfo, easeOfDoingInfo, timelinessInfo, interactivityInfo, 
        schedulingLogOverhaulSchedule, schedulingLogTroubleshooting, schedulingLogPowerOutage, schedulingLogDeviceDefect, schedulingLogAccidentException};
}